%% Generation of Files for Reservoir Simulation
%  This code generates different '.DATA' files accordngly along with the
%  'PERMX.inc' files to be used for ECLIPSE Simulation

Year = 6;
Realizations = 100;

for i_Year = 1: Year

BaseFiles = ['C:\Users\cuthb\OneDrive - NTNU\2D_LSM_Reservoir_Model\Switch_at_Year_',num2str(i_Year),'\BaseFile'];

for i = 1:Realizations
    RealizationFolder =['C:\Users\cuthb\OneDrive - NTNU\2D_LSM_Reservoir_Model\Switch_at_Year_',num2str(i_Year),'\Simulation\R',num2str(i)];
    copyfile(BaseFiles,RealizationFolder);
    OldName = [RealizationFolder,'\2D_Model_Switch_Y',num2str(i_Year),'.DATA'];
    NewName = [RealizationFolder,'\2D_Model_Switch_Y',num2str(i_Year),'_R',num2str(i),'.DATA'];
    movefile(OldName,NewName)
    PERMXfrom = ['C:\Users\cuthb\OneDrive - NTNU\2D_LSM_Reservoir_Model\PERMX\PERMX',num2str(i),'.inc'];
    PERMXto = [RealizationFolder,'\PERMX.inc'];
    copyfile(PERMXfrom,PERMXto);
end

end